## sesman 0.3

=== debian/changelog ===
sesman (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #907963).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Sep 2018 06:30:41 -0700

## sesman 0.3.3

=== debian/changelog ===
sesman (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 12:57:19 -0700

## sesman 0.3.4

=== Makefile ===
export EMACS ?= emacs
EMACSFLAGS = -L .
VERSION = $(git describe --tags --abbrev=0 | sed 's/^v//')

ELS = $(wildcard *.el)
OBJECTS = $(ELS:.el=.elc)

.PHONY: test version compile

all: compile checkdoc test

compile: version clean
	$(EMACS) --batch --load targets/compile.el

checkdoc: version
	$(EMACS) --batch --load targets/checkdoc.el

lint: checkdoc

test: version
	$(EMACS) --batch --directory . --load sesman-test.el --funcall ert-run-tests-batch-and-exit

version:
	@echo SESMAN: $(VERSION)
	@$(EMACS) --version

clean:
	rm -f $(OBJECTS)

=== debian/changelog ===
sesman (0.3.4-2) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Sat, 23 Jan 2021 07:41:26 -0400

sesman (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add d/source/options, d/source/patch-header for dgit-maint-merge(7).
  * Patch sesman.el to fix Version: header.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Jul 2019 15:56:02 +0100

=== debian/control ===
Source: sesman
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dh-elpa
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/emacsen-team/sesman
Vcs-Git: https://salsa.debian.org/emacsen-team/sesman.git
Homepage: https://github.com/vspinu/sesman
Testsuite: autopkgtest-pkg-elpa

Package: elpa-sesman
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: session manager for Emacs IDEs
 Sesman provides abstractions to associate processes like REPLs to
 projects, directories and buffers. For example, the Emacs Clojure
 environment CIDER uses Sesman to associate the REPL process for a
 project to buffers editing that project's code.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/sesman-$1.tar.gz/" \
    https://github.com/vspinu/sesman/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
